eslint-plugin-angularjs-upgrade

eslint-plugin-angularjs-upgrade #News

  • If you installed ESLint globally, you have to install React plugin globally too.
  • Plugin to help make the upgrade from AngularJS to Angular (2) easier.
  • Add plugins section and specify ESLint-plugin-AngularJS-upgrade as a plugin.
  • Enable all of the rules that you would like to use.
  • AngularJS upgrade , Angular 2 , AngularJS , javascript , lint , eslint

Set of linting rules to help make upgrading from AngularJS to Angular (2) easier.

@mentallion: eslint-plugin-angularjs-upgrade #News

Set of linting rules to help make upgrading from AngularJS to Angular (2) easier.

Plugin to help make the upgrade from AngularJS to Angular (2) easier.

Install ESLint either locally or globally.

If you installed ESLint globally, you have to install React plugin globally too. Otherwise, install it locally.

Add plugins section and specify ESLint-plugin-AngularJS-upgrade as a plugin.

Enable all of the rules that you would like to use. Use our preset to get reasonable defaults quickly, and/or choose your own:

Combine open-source packages with your private code and publish to a private registry behind the firewall. npm ♥ enterprise developers

eslint-plugin-angularjs-upgrade